Name:           deadbeef
Version:        0.7.2
Release:        1%{?dist}
Summary:        DeaDBeeF Player

License:        https://github.com/DeaDBeeF-Player/deadbeef/blob/master/COPYING

URL:            https://github.com/DeaDBeeF-Player/deadbeef
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

#Patch1:         
#Patch2:         

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  intltool
BuildRequires:  gettext
BuildRequires:  libmad-devel
BuildRequires:  jansson-devel
BuildRequires:  flac-devel
BuildRequires:  zlib-devel
BuildRequires:  gtk3-devel

Requires:       gtk3 

#Provides:       

%description
DeaDBeeF Player

%prep
%autosetup -p1

%build
./autogen.sh
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc
/usr/bin/deadbeef
/usr/include/deadbeef/deadbeef.h
/usr/include/deadbeef/gtkui_api.h
/usr/lib64/deadbeef/adplug.la
/usr/lib64/deadbeef/adplug.so
/usr/lib64/deadbeef/alac.la
/usr/lib64/deadbeef/alac.so
/usr/lib64/deadbeef/converter.la
/usr/lib64/deadbeef/converter.so
/usr/lib64/deadbeef/converter_gtk3.la
/usr/lib64/deadbeef/converter_gtk3.so
/usr/lib64/deadbeef/convpresets/AAC_(Nero_FAAC).txt
/usr/lib64/deadbeef/convpresets/ALAC.txt
/usr/lib64/deadbeef/convpresets/FLAC_(compression_level_5).txt
/usr/lib64/deadbeef/convpresets/MP3_CBR_320_Kbps_(Lame).txt
/usr/lib64/deadbeef/convpresets/MP3_VBR_192Kbps_(Lame).txt
/usr/lib64/deadbeef/convpresets/MS_RIFF_WAV.txt
/usr/lib64/deadbeef/convpresets/MusePack.txt
/usr/lib64/deadbeef/convpresets/Ogg_FLAC.txt
/usr/lib64/deadbeef/convpresets/Ogg_Vorbis_(-q_5).txt
/usr/lib64/deadbeef/convpresets/Opus.txt
/usr/lib64/deadbeef/convpresets/TTA.txt
/usr/lib64/deadbeef/convpresets/WavPack.txt
/usr/lib64/deadbeef/data68/Replay/aenigmatica.bin
/usr/lib64/deadbeef/data68/Replay/alteredbeast.bin
/usr/lib64/deadbeef/data68/Replay/armalyte.bin
/usr/lib64/deadbeef/data68/Replay/asidifier.bin
/usr/lib64/deadbeef/data68/Replay/azidifier.bin
/usr/lib64/deadbeef/data68/Replay/bendaglish.deli.bin
/usr/lib64/deadbeef/data68/Replay/big.bin
/usr/lib64/deadbeef/data68/Replay/blipblop.bin
/usr/lib64/deadbeef/data68/Replay/blipp079.bin
/usr/lib64/deadbeef/data68/Replay/bs22.bin
/usr/lib64/deadbeef/data68/Replay/cabal.bin
/usr/lib64/deadbeef/data68/Replay/chipmon2.bin
/usr/lib64/deadbeef/data68/Replay/cosotfmx.bin
/usr/lib64/deadbeef/data68/Replay/crapman1.bin
/usr/lib64/deadbeef/data68/Replay/crapman2.bin
/usr/lib64/deadbeef/data68/Replay/deltamusic1.bin
/usr/lib64/deadbeef/data68/Replay/deltamusic2.bin
/usr/lib64/deadbeef/data68/Replay/digitfmx.bin
/usr/lib64/deadbeef/data68/Replay/dmu.bin
/usr/lib64/deadbeef/data68/Replay/dwaga.bin
/usr/lib64/deadbeef/data68/Replay/dyter07.bin
/usr/lib64/deadbeef/data68/Replay/elf.bin
/usr/lib64/deadbeef/data68/Replay/fc13_14.bin
/usr/lib64/deadbeef/data68/Replay/fireice.bin
/usr/lib64/deadbeef/data68/Replay/fred.bin
/usr/lib64/deadbeef/data68/Replay/gemx.bin
/usr/lib64/deadbeef/data68/Replay/harlequin.bin
/usr/lib64/deadbeef/data68/Replay/hippel-coso_note.deli.bin
/usr/lib64/deadbeef/data68/Replay/hpn-jam.bin
/usr/lib64/deadbeef/data68/Replay/huelsbeck.bin
/usr/lib64/deadbeef/data68/Replay/huntforredoct.bin
/usr/lib64/deadbeef/data68/Replay/ivanhoe.bin
/usr/lib64/deadbeef/data68/Replay/jamcracker10.bin
/usr/lib64/deadbeef/data68/Replay/jamcrackerpro.bin
/usr/lib64/deadbeef/data68/Replay/lastninja3.bin
/usr/lib64/deadbeef/data68/Replay/lastninjaiii.bin
/usr/lib64/deadbeef/data68/Replay/lcd.bin
/usr/lib64/deadbeef/data68/Replay/lx_mmme.bin
/usr/lib64/deadbeef/data68/Replay/mcoder.bin
/usr/lib64/deadbeef/data68/Replay/megatizer.bin
/usr/lib64/deadbeef/data68/Replay/metrocross.bin
/usr/lib64/deadbeef/data68/Replay/midi.bin
/usr/lib64/deadbeef/data68/Replay/mmme.bin
/usr/lib64/deadbeef/data68/Replay/mmmesid.bin
/usr/lib64/deadbeef/data68/Replay/mon.bin
/usr/lib64/deadbeef/data68/Replay/mon_old.deli.bin
/usr/lib64/deadbeef/data68/Replay/musmon1.bin
/usr/lib64/deadbeef/data68/Replay/musmon2.bin
/usr/lib64/deadbeef/data68/Replay/ninjaremix.bin
/usr/lib64/deadbeef/data68/Replay/ninjatfmx.bin
/usr/lib64/deadbeef/data68/Replay/nobuddiesland.bin
/usr/lib64/deadbeef/data68/Replay/none.bin
/usr/lib64/deadbeef/data68/Replay/note.bin
/usr/lib64/deadbeef/data68/Replay/note2.bin
/usr/lib64/deadbeef/data68/Replay/page.bin
/usr/lib64/deadbeef/data68/Replay/protracker.bin
/usr/lib64/deadbeef/data68/Replay/psg1.bin
/usr/lib64/deadbeef/data68/Replay/psgtrackerv2.bin
/usr/lib64/deadbeef/data68/Replay/puma.bin
/usr/lib64/deadbeef/data68/Replay/puma2.bin
/usr/lib64/deadbeef/data68/Replay/quartet.bin
/usr/lib64/deadbeef/data68/Replay/quartet_mindbomb.bin
/usr/lib64/deadbeef/data68/Replay/realms.bin
/usr/lib64/deadbeef/data68/Replay/robhubbard.deli.bin
/usr/lib64/deadbeef/data68/Replay/rollingronny.bin
/usr/lib64/deadbeef/data68/Replay/shadowdancer.bin
/usr/lib64/deadbeef/data68/Replay/sidmon1.bin
/usr/lib64/deadbeef/data68/Replay/sidmon2.bin
/usr/lib64/deadbeef/data68/Replay/sidsound.bin
/usr/lib64/deadbeef/data68/Replay/sndh_ice.bin
/usr/lib64/deadbeef/data68/Replay/soundfx.bin
/usr/lib64/deadbeef/data68/Replay/spacecrusade.bin
/usr/lib64/deadbeef/data68/Replay/spacegun.bin
/usr/lib64/deadbeef/data68/Replay/ssd1.bin
/usr/lib64/deadbeef/data68/Replay/stos.bin
/usr/lib64/deadbeef/data68/Replay/synthiv.bin
/usr/lib64/deadbeef/data68/Replay/tao_digi.bin
/usr/lib64/deadbeef/data68/Replay/tao_hubbard.bin
/usr/lib64/deadbeef/data68/Replay/tao_ms211.bin
/usr/lib64/deadbeef/data68/Replay/tao_ms25.bin
/usr/lib64/deadbeef/data68/Replay/tao_ms27.bin
/usr/lib64/deadbeef/data68/Replay/tao_tsd.bin
/usr/lib64/deadbeef/data68/Replay/tcbtracker.bin
/usr/lib64/deadbeef/data68/Replay/test.bin
/usr/lib64/deadbeef/data68/Replay/tfmx.bin
/usr/lib64/deadbeef/data68/Replay/tfmx_aga.bin
/usr/lib64/deadbeef/data68/Replay/tfmx_old.bin
/usr/lib64/deadbeef/data68/Replay/tfmx_st.bin
/usr/lib64/deadbeef/data68/Replay/timerc.bin
/usr/lib64/deadbeef/data68/Replay/toki.bin
/usr/lib64/deadbeef/data68/Replay/tsd1.bin
/usr/lib64/deadbeef/data68/Replay/utopia.bin
/usr/lib64/deadbeef/data68/Replay/vikingchild.bin
/usr/lib64/deadbeef/data68/Replay/xbiossound.bin
/usr/lib64/deadbeef/data68/Replay/zonewarrior.bin
/usr/lib64/deadbeef/dca.la
/usr/lib64/deadbeef/dca.so
/usr/lib64/deadbeef/ddb_ao.la
/usr/lib64/deadbeef/ddb_ao.so
/usr/lib64/deadbeef/ddb_dumb.la
/usr/lib64/deadbeef/ddb_dumb.so
/usr/lib64/deadbeef/ddb_gui_GTK3.la
/usr/lib64/deadbeef/ddb_gui_GTK3.so
/usr/lib64/deadbeef/ddb_mono2stereo.la
/usr/lib64/deadbeef/ddb_mono2stereo.so
/usr/lib64/deadbeef/ddb_shn.la
/usr/lib64/deadbeef/ddb_shn.so
/usr/lib64/deadbeef/flac.la
/usr/lib64/deadbeef/flac.so
/usr/lib64/deadbeef/gme.la
/usr/lib64/deadbeef/gme.so
/usr/lib64/deadbeef/hotkeys.la
/usr/lib64/deadbeef/hotkeys.so
/usr/lib64/deadbeef/in_sc68.la
/usr/lib64/deadbeef/in_sc68.so
/usr/lib64/deadbeef/m3u.la
/usr/lib64/deadbeef/m3u.so
/usr/lib64/deadbeef/mms.la
/usr/lib64/deadbeef/mms.so
/usr/lib64/deadbeef/mp3.la
/usr/lib64/deadbeef/mp3.so
/usr/lib64/deadbeef/musepack.la
/usr/lib64/deadbeef/musepack.so
/usr/lib64/deadbeef/notify.la
/usr/lib64/deadbeef/notify.so
/usr/lib64/deadbeef/nullout.la
/usr/lib64/deadbeef/nullout.so
/usr/lib64/deadbeef/oss.la
/usr/lib64/deadbeef/oss.so
/usr/lib64/deadbeef/pltbrowser_gtk3.la
/usr/lib64/deadbeef/pltbrowser_gtk3.so
/usr/lib64/deadbeef/shellexec.la
/usr/lib64/deadbeef/shellexec.so
/usr/lib64/deadbeef/shellexecui_gtk3.la
/usr/lib64/deadbeef/shellexecui_gtk3.so
/usr/lib64/deadbeef/sid.la
/usr/lib64/deadbeef/sid.so
/usr/lib64/deadbeef/supereq.la
/usr/lib64/deadbeef/supereq.so
/usr/lib64/deadbeef/tta.la
/usr/lib64/deadbeef/tta.so
/usr/lib64/deadbeef/vtx.la
/usr/lib64/deadbeef/vtx.so
/usr/lib64/deadbeef/wildmidi.la
/usr/lib64/deadbeef/wildmidi.so
/usr/lib64/deadbeef/wma.la
/usr/lib64/deadbeef/wma.so
/usr/share/applications/deadbeef.desktop
/usr/share/deadbeef/pixmaps/buffering_16.png
/usr/share/deadbeef/pixmaps/noartwork.png
/usr/share/deadbeef/pixmaps/pause_16.png
/usr/share/deadbeef/pixmaps/play_16.png
/usr/share/doc/deadbeef/COPYING.GPLv2
/usr/share/doc/deadbeef/COPYING.LGPLv2.1
/usr/share/doc/deadbeef/ChangeLog
/usr/share/doc/deadbeef/README
/usr/share/doc/deadbeef/about.txt
/usr/share/doc/deadbeef/help.pt_BR.txt
/usr/share/doc/deadbeef/help.ru.txt
/usr/share/doc/deadbeef/help.txt
/usr/share/doc/deadbeef/translators.txt
/usr/share/icons/hicolor/128x128/apps/deadbeef.png
/usr/share/icons/hicolor/16x16/apps/deadbeef.png
/usr/share/icons/hicolor/192x192/apps/deadbeef.png
/usr/share/icons/hicolor/22x22/apps/deadbeef.png
/usr/share/icons/hicolor/24x24/apps/deadbeef.png
/usr/share/icons/hicolor/256x256/apps/deadbeef.png
/usr/share/icons/hicolor/32x32/apps/deadbeef.png
/usr/share/icons/hicolor/36x36/apps/deadbeef.png
/usr/share/icons/hicolor/48x48/apps/deadbeef.png
/usr/share/icons/hicolor/64x64/apps/deadbeef.png
/usr/share/icons/hicolor/72x72/apps/deadbeef.png
/usr/share/icons/hicolor/96x96/apps/deadbeef.png
/usr/share/icons/hicolor/scalable/apps/deadbeef.svg
/usr/share/locale/be/LC_MESSAGES/deadbeef.mo
/usr/share/locale/bg/LC_MESSAGES/deadbeef.mo
/usr/share/locale/bn/LC_MESSAGES/deadbeef.mo
/usr/share/locale/ca/LC_MESSAGES/deadbeef.mo
/usr/share/locale/cs/LC_MESSAGES/deadbeef.mo
/usr/share/locale/da/LC_MESSAGES/deadbeef.mo
/usr/share/locale/de/LC_MESSAGES/deadbeef.mo
/usr/share/locale/el/LC_MESSAGES/deadbeef.mo
/usr/share/locale/en_GB/LC_MESSAGES/deadbeef.mo
/usr/share/locale/es/LC_MESSAGES/deadbeef.mo
/usr/share/locale/et/LC_MESSAGES/deadbeef.mo
/usr/share/locale/eu/LC_MESSAGES/deadbeef.mo
/usr/share/locale/fa/LC_MESSAGES/deadbeef.mo
/usr/share/locale/fi/LC_MESSAGES/deadbeef.mo
/usr/share/locale/fr/LC_MESSAGES/deadbeef.mo
/usr/share/locale/gl/LC_MESSAGES/deadbeef.mo
/usr/share/locale/he/LC_MESSAGES/deadbeef.mo
/usr/share/locale/hr/LC_MESSAGES/deadbeef.mo
/usr/share/locale/hu/LC_MESSAGES/deadbeef.mo
/usr/share/locale/id/LC_MESSAGES/deadbeef.mo
/usr/share/locale/it/LC_MESSAGES/deadbeef.mo
/usr/share/locale/ja/LC_MESSAGES/deadbeef.mo
/usr/share/locale/kk/LC_MESSAGES/deadbeef.mo
/usr/share/locale/km/LC_MESSAGES/deadbeef.mo
/usr/share/locale/lg/LC_MESSAGES/deadbeef.mo
/usr/share/locale/lt/LC_MESSAGES/deadbeef.mo
/usr/share/locale/lv/LC_MESSAGES/deadbeef.mo
/usr/share/locale/nl/LC_MESSAGES/deadbeef.mo
/usr/share/locale/pl/LC_MESSAGES/deadbeef.mo
/usr/share/locale/pt/LC_MESSAGES/deadbeef.mo
/usr/share/locale/pt_BR/LC_MESSAGES/deadbeef.mo
/usr/share/locale/ro/LC_MESSAGES/deadbeef.mo
/usr/share/locale/ru/LC_MESSAGES/deadbeef.mo
/usr/share/locale/si_LK/LC_MESSAGES/deadbeef.mo
/usr/share/locale/sk/LC_MESSAGES/deadbeef.mo
/usr/share/locale/sl/LC_MESSAGES/deadbeef.mo
/usr/share/locale/sr/LC_MESSAGES/deadbeef.mo
/usr/share/locale/sr@latin/LC_MESSAGES/deadbeef.mo
/usr/share/locale/sv/LC_MESSAGES/deadbeef.mo
/usr/share/locale/te/LC_MESSAGES/deadbeef.mo
/usr/share/locale/tr/LC_MESSAGES/deadbeef.mo
/usr/share/locale/ug/LC_MESSAGES/deadbeef.mo
/usr/share/locale/uk/LC_MESSAGES/deadbeef.mo
/usr/share/locale/vi/LC_MESSAGES/deadbeef.mo
/usr/share/locale/zh_CN/LC_MESSAGES/deadbeef.mo
/usr/share/locale/zh_TW/LC_MESSAGES/deadbeef.mo

%changelog
* Thu Dec 13 2018 Galih Rahayu <galihrahayu@gmail.com> - 0.7.2-1
- Initial build

